Bug 138875 - A new cluster websvccommon proposal
A new cluster websvccommon proposal
Status: RESOLVED FIXED
Product: webservices
Classification: Unclassified
Component: Manager
6.x
All All
: P1 (vote)
: 6.x
Assigned To: apireviews
issues@webservices
http://wiki.netbeans.org/SaaSModulesR...
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 23:23 UTC by Ayub Khan
Modified: 2008-07-14 22:19 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ayub Khan 2008-07-02 23:23:23 UTC
After receiving numerous requests for SaaS support in PHP distro, we think it is time to create a new cluster called
'websvccommon'. The reasons for this new cluster are

    * This new cluster with only minimum modules can be shared by non Java/J2EE clusters such as PHP, Ruby and C/C++.
    * Will minimize the footprint for distro's such as PHP. (Currently, SaaS modules if included in the PHP distro will
pull modules from j2ee/java clusters, since SaaS modules are now in j2ee cluster)
Comment 1 Jesse Glick 2008-07-02 23:44:00 UTC
You can't use the webcommon cluster?
Comment 2 Peter Liu 2008-07-03 00:17:18 UTC
The webcommon cluster is meant for web-related distros such as j2ee, ruby and php and not meant for java se, c/c++ and
groovy, etc. Whereas, the websvccommon cluster is meant for consuming web services and this can be done from
applications that are not necessarily web related, e.g., java desktop, javafx app, c/c++, groovy.   So, basically, we
want to be able to include this cluster as part of any distro that has the need for consuming web services.

Perhaps we need to come up with a better name for the cluster?
Comment 3 Pavel Buzek 2008-07-03 07:35:06 UTC
Can you be a bit more specific about the content then "only minimum modules". Seems like the only potential place for
these modules - other then a new cluster - would be the ide cluster. Otherwise the name websvccommon sounds OK to me.
Comment 4 Petr Jiricka 2008-07-03 10:10:49 UTC
So why not just put these modules in the 'ide' cluster, if they are to be present in all distros?
Comment 5 Ayub Khan 2008-07-03 18:29:37 UTC
Following is the minimum set of modules

SaaS infrastructure
-------------------
websvc.jaxb21
websvc.saas.api
websvc.saas.ui
websvc.saas.codegen

SaaS service modules - module for each popular services (contain metadata)
--------------------------------------------------------------------------
websvc.saas.services.amazon
websvc.saas.services.delicious
websvc.saas.services.facebook
websvc.saas.services.flickr
websvc.saas.services.google
websvc.saas.services.strikeiron
websvc.saas.services.twitter
websvc.saas.services.weatherbug
websvc.saas.services.yahoo
websvc.saas.services.zillow
websvc.saas.services.zvents
Comment 6 Peter Liu 2008-07-03 18:42:19 UTC
The issue with putting this in the ide cluster is that we currently only support generating code for consuming web
services for java, j2ee and php distros.  This means that the web services manager will show up in the ruby or groovy
distro, for example, but no one can do anything with it.  

Of course, if there is a way to prevent the web service manager from showing up if there is no module such as a code gen
module that does something with it then I am ok with putting this in the ide cluster.  However, I don't know if this is
a practice.

Comment 7 Peter Liu 2008-07-03 18:44:35 UTC
I meant to say "I don't know if this is a good practice".
Comment 8 Pavel Buzek 2008-07-03 18:54:15 UTC
To Petr Jiricka's comment, it is not for every distro, certainly not for C/C++.

I expected the infrastructure modules only. If there are the service modules for various SaaS and the UI then it's
better not to include into ide cluster.
Comment 9 Ayub Khan 2008-07-13 00:58:35 UTC
Fixed this issue, see changeset http://hg.netbeans.org/main/rev/76b7273b2e24
Comment 10 Ayub Khan 2008-07-13 01:05:58 UTC
Also changeset http://hg.netbeans.org/main/rev/b9d87ba601fb


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo